From 9fbac737812b7d0645dc17b0254b5a898fe9aa8f Mon Sep 17 00:00:00 2001
From: Thomas Viehmann <tv@beamnet.de>
Date: Thu, 8 Oct 2015 13:08:37 -0700
Subject: Fix SOAPBuilder.py dump to gracefully handle new style classes

 such as faulType (new style in python2.5 as subclass of Exception

Patch-Name: fix_new_style_classes.patch
---
 src/SOAPpy/SOAPBuilder.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/SOAPpy/SOAPBuilder.py b/src/SOAPpy/SOAPBuilder.py
index 0ce204b..c3d0a8a 100644
--- a/src/SOAPpy/SOAPBuilder.py
+++ b/src/SOAPpy/SOAPBuilder.py
@@ -396,7 +396,7 @@ class SOAPBuilder:
         tag = tag or self.gentag()
         tag = toXMLname(tag) # convert from SOAP 1.2 XML name encoding
 
-        if type(obj) == InstanceType:
+        if type(obj) == InstanceType or isinstance(obj, anyType):
             data = obj.data
         else:
             data = obj
